import React from "react";
import clsx from "clsx";
import styles from "./HomepagePromises.module.css";

const PromiseList = [
  {
    title: "Sécurisé",
    Svg: require("../../static/img/bouclier.svg").default,
    alt: "Icône d'un bouclier bleu",
    description: (
      <>
        <p>Vos données sont en lieu sûr et sauvegardées à deux endroits différents toutes les nuits.</p>
      </>
    ),
  },
  {
    title: "Souverain",
    Svg: require("../../static/img/rgpd.svg").default,
    alt: "Icône d'un cadenas avec inscrit RGPD",
    description: (
      <>
        <p>Dites bye-bye au <i>Cloud Act</i> et aux risques d’espionnage industriel. Avec Froggit vous êtes hébergé en France et protégé par les normes RGPD.</p>
      </>
    ),
  },
  {
    title: "Libre",
    Svg: require("../../static/img/liberte.svg").default,
    alt: "Icône de menottes brisées",
    description: (
      <>
        <p>Froggit se base sur des logiciels libres reconnus et des conditions générales d’utilisation complètement éthiques.</p>
      </>
    ),
  },
];

// eslint-disable-next-line
function Promise({Svg, alt, title, description}) {
  return (
    <div className={clsx("col col--4")}>
      <div className="text--center">
        <Svg className={styles.promiseSvg} alt={alt} />
      </div>
      <div className="text--center padding-horiz--md">
        <h3>{title}</h3>
        <p>{description}</p>
      </div>
    </div>
  );
}

export default function HomepagePromises() {
  return (
    <div className={styles.rowOverflow}>
      <h2 className="promise-title">Faites la différence</h2>
      <section className="section-promises">    
        <div className="row">
          {PromiseList.map((props, idx) => (
            <Promise key={idx} {...props} />
          ))}
        </div>   
      </section>
    </div>
  );
}
